Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class SequenceGenerator

    java.lang.Object
      oracle.ifs.server.SequenceGenerator

    public class SequenceGenerator

extends java.lang.Object

The `SequenceGenerator` class - generates sort sequences for Relationships and AccessControlEntrys

See Also:
  `S_AccessControlEntry`, `S_Relationship`
(Unpublished)

Field Summary
`protected S_LibrarySession` | `m_Session`

Constructor Summary
`protected` | `SequenceGenerator(S_LibrarySession session)` Constructs a SequenceGenerator.

Method Summary
`protected long` | `reSequence(S_LibraryObjectDefinition def, java.lang.String className, java.lang.String seqAttrname, S_LibraryObject[] objs, AttributeValue avBefore, AttributeValue avAfter)`
`protected long` | `setSequence(S_LibraryObjectDefinition def, java.lang.String className, java.lang.String seqAttrname, AttributeValue avBefore, AttributeValue avAfter)` Set the SORTSEQUENCE attribute in an S_LODef based on any possible system Options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected S_LibrarySession m_Session

Constructor Detail

### SequenceGenerator

    protected SequenceGenerator(S_LibrarySession session)

  Constructs a SequenceGenerator.

  Parameters:
    `session` - current LibrarySession

Method Detail

### setSequence

    protected long setSequence(S_LibraryObjectDefinition def,
                               java.lang.String className,
                               java.lang.String seqAttrname,
                               AttributeValue avBefore,
                               AttributeValue avAfter)
                        throws IfsException

  Description copied from class: `SequenceGenerator`
  Set the SORTSEQUENCE attribute in an S_LODef based on any possible system Options. Use the m_ID (which may or may not have already been pre-fecthed) as the maximum value for the top sequence.

  Parameters:
    `def` - current object definition to be updated with the sort sequence
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### reSequence

    protected long reSequence(S_LibraryObjectDefinition def,
                              java.lang.String className,
                              java.lang.String seqAttrname,
                              S_LibraryObject[] objs,
                              AttributeValue avBefore,
                              AttributeValue avAfter)
                       throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD